SEPALand
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Land

## Class SEPALand

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Land.SEPALand

-     public class SEPALand
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `private class` | `SEPALand.Element`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Integer` | `accountlength`
    `private java.lang.Integer` | `bankidentfierlength`
    `private java.lang.String` | `bezeichnung`
    `private java.util.ArrayList<SEPALand.Element>` | `elements`
    `private int` | `gesamtlaenge`
    `private java.lang.String` | `ibansample`
    `private java.lang.String` | `kennzeichen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SEPALand(java.lang.String kennzeichen, java.lang.String bezeichnung, java.lang.String ibanclass, java.lang.String ibansample)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `check(java.lang.String iban)`
    `java.lang.Integer` | `getAccountLength()`
    `java.lang.Integer` | `getBankIdentifierLength()`
    `java.lang.String` | `getBezeichnung()`
    `java.lang.String` | `getIBANSample()`
    `java.lang.String` | `getKennzeichen()`
    `void` | `setAccountLength(java.lang.Integer accountlength)`
    `void` | `setBankIdentifierLength(java.lang.Integer bankidentifierlength)`
    `void` | `setIBANSample(java.lang.String ibansample)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### kennzeichen

          private java.lang.String kennzeichen

    - #### elements

          private java.util.ArrayList<SEPALand.Element> elements

    - #### gesamtlaenge

          private int gesamtlaenge

    - #### bezeichnung

          private java.lang.String bezeichnung

    - #### bankidentfierlength

          private java.lang.Integer bankidentfierlength

    - #### accountlength

          private java.lang.Integer accountlength

    - #### ibansample

          private java.lang.String ibansample

  - ### Constructor Detail

    - #### SEPALand

          public SEPALand(java.lang.String kennzeichen,
                  java.lang.String bezeichnung,
                  java.lang.String ibanclass,
                  java.lang.String ibansample)

  - ### Method Detail

    - #### getKennzeichen

          public java.lang.String getKennzeichen()

    - #### getBezeichnung

          public java.lang.String getBezeichnung()

    - #### setBankIdentifierLength

          public void setBankIdentifierLength(java.lang.Integer bankidentifierlength)

    - #### getBankIdentifierLength

          public java.lang.Integer getBankIdentifierLength()

    - #### setAccountLength

          public void setAccountLength(java.lang.Integer accountlength)

    - #### getAccountLength

          public java.lang.Integer getAccountLength()

    - #### setIBANSample

          public void setIBANSample(java.lang.String ibansample)

    - #### getIBANSample

          public java.lang.String getIBANSample()

    - #### check

          public boolean check(java.lang.String iban)
                        throws SEPAException

      Throws:
        `SEPAException`